Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List transfers for a wallet

GET/wallets/{wallet_id}/transfers
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
wallet_idintegerrequired
Query parameters
statestring
Allowed:pendingcompletedreverseddeletedexpired
typestring
Allowed:incomingoutgoing
shop_idstring
from_datestring<date>
to_datestring<date>
qstring
Responses
200Paginated list of transfers
total_itemsinteger
per_pageinteger
pageinteger
_linksHalLinks
_classstring[]
_embeddedobject
Show properties
itemsWalletTransfer[]
Show properties
Array of WalletTransfer
_linksHalLinks
idinteger
directionstring
Allowed:incomingoutgoing
statestring
Allowed:pendingcompletedreverseddeletedexpired
amountinteger
Positive for incoming transfers, negative for outgoing.
original_amountinteger
Order total that earned this transfer, for points earned from a purchase.
descriptionstring
reference_codestring
payment_methodstring
shop_idstring
wallet_idinteger
balance_expires_atstring<date-time>
created_onstring<date-time>
Request
curl -X GET "https://api.onbolder.com/v2/wallets/0/transfers" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "total_items": 42,
  "per_page": 20,
  "page": 1,
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "_class": [
    "results",
    "walletTransfers"
  ],
  "_embedded": {
    "items": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": 0,
        "direction": "incoming",
        "state": "pending",
        "amount": 0,
        "original_amount": 0,
        "description": "string",
        "reference_code": "string",
        "payment_method": "string",
        "shop_id": "string",
        "wallet_id": 0,
        "balance_expires_at": "2019-08-24T14:15:22Z",
        "created_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}